Package com.documentum.fc.client.search

# Interface IDfFullTextExpression

All Superinterfaces:
  `IDfExpression`

public interface IDfFullTextExpression extends IDfExpression
Defines a full-text expression for the search expression tree. It can be added to an `IDfExpressionSet`.

See Also:
  - `IDfQueryBuilder.getRootExpressionSet()`
  - `IDfExpressionSet.addFullTextExpression(String)`

- ## Field Summary

  ### Fields inherited from interface com.documentum.fc.client.search.IDfExpression

  `DATE_FORMAT_DEFAULT, EXPR_TYPE_FULLTEXT, EXPR_TYPE_MLT, EXPR_TYPE_RELATIVE_DATE, EXPR_TYPE_SET, EXPR_TYPE_SIMPLE_ATTR, EXPR_TYPE_UNDEFINED, EXPR_TYPE_VALUE_LIST_ATTR, EXPR_TYPE_VALUE_RANGE_ATTR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Float`
  `getFuzzySearchSimilarity()`
  Indicates the similarity threshold used with the fuzzy search option
  `String`
  `getThesaurusLibrary()`
  Indicates the thesaurus URI that is used with the thesaurus option
  `String`
  `getValue()`
  Gets the text value.
  `Boolean`
  `isFuzzySearchEnabled()`
  Indicates if fuzzy search will be used to validate this constraint
  `Boolean`
  `isThesaurusSearchEnabled()`
  Indicates if the thesaurus option will be used to validate this constraint
  `void`
  `setFuzzySearchEnabled(Boolean fuzzySearchEnabled)`
  Fuzzy Search is an option that can be used only with xPlore 1.1 backend and with XQuery.
  `void`
  `setFuzzySearchSimilarity(Float similarity)`
  Set the similarity value for the fuzzy search option This flag overrides the flag 'default_fuzzy_search_similarity' in the dm_ftengine_config object
  `void`
  `setThesaurusLibrary(String thesaurusLibrary)`
  Set the thesaurus library URI for the thesaurus option This flag overrides the flag 'use_thesaurus_library' in the dm_ftengine_config object
  `void`
  `setThesaurusSearchEnabled(Boolean thesaurusSearchEnabled)`
  Thesaurus Search is an option that can be used only with xPlore 1.2 backend and with XQuery.

  ### Methods inherited from interface com.documentum.fc.client.search.IDfExpression

  `acceptVisitor, getDateFormat, getExpressionType, setDateFormat`

- ## Method Details

  - ### getValue

    String getValue()
    Gets the text value.
    Returns:
      text value

  - ### isFuzzySearchEnabled

    Boolean isFuzzySearchEnabled()
    Indicates if fuzzy search will be used to validate this constraint
    Returns:

  - ### getFuzzySearchSimilarity

    Float getFuzzySearchSimilarity()
    Indicates the similarity threshold used with the fuzzy search option
    Returns:
      the similarity value between 0 and 1.

  - ### setFuzzySearchEnabled

    void setFuzzySearchEnabled(Boolean fuzzySearchEnabled)
    Fuzzy Search is an option that can be used only with xPlore 1.1 backend and with XQuery. In this case, this flag enables/disables fuzzy search.

    e.g. when searching for "roam", the search will find terms like "foam" and "roams". This flag overrides the flag 'fuzzy_search_enable' in the dm_ftengine_config object

    Parameters:
      `fuzzySearchEnabled` - if null, the docbase flag will be used

  - ### setFuzzySearchSimilarity

    void setFuzzySearchSimilarity(Float similarity)
    Set the similarity value for the fuzzy search option This flag overrides the flag 'default_fuzzy_search_similarity' in the dm_ftengine_config object
    Parameters:
      `similarity` - value between 0 and 1.

  - ### isThesaurusSearchEnabled

    Boolean isThesaurusSearchEnabled()
    Indicates if the thesaurus option will be used to validate this constraint
    Returns:

  - ### getThesaurusLibrary

    String getThesaurusLibrary()
    Indicates the thesaurus URI that is used with the thesaurus option
    Returns:

  - ### setThesaurusSearchEnabled

    void setThesaurusSearchEnabled(Boolean thesaurusSearchEnabled)
    Thesaurus Search is an option that can be used only with xPlore 1.2 backend and with XQuery. In this case, this flag enables/disables thesaurus search. Thesaurus search will be used only with the operators SEARCH_OP_CONTAINS, SEARCH_OP_EQUAL

    e.g. the query terms will be expanded according to the terms declared in a thesaurus.

    Parameters:
      `thesaurusSearchEnabled` -

  - ### setThesaurusLibrary

    void setThesaurusLibrary(String thesaurusLibrary)
    Set the thesaurus library URI for the thesaurus option This flag overrides the flag 'use_thesaurus_library' in the dm_ftengine_config object
    Parameters:
      `thesaurusLibrary` - thesaurus URI.